> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all the sent SMS message events for a sent SMS message



## OpenAPI

````yaml /openapi.json get /sent_sms_messages/{id}/sent_sms_message_events
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /sent_sms_messages/{id}/sent_sms_message_events:
    get:
      tags:
        - Sent sms messages
      summary: List all the sent SMS message events for a sent SMS message
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the sent SMS message
          required: true
      responses:
        '200':
          description: >-
            A dictionary with a `sent_sms_message_events` property which is an
            array of `SentSmsMessageEvent` objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  sent_sms_message_events:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The ID of the sent SMS message event
                        event_type:
                          type: string
                          enum:
                            - clicked
                            - queued
                            - sent
                            - delivered
                            - failed
                            - other
                          description: The type of the sent SMS message event
                        created_at:
                          type: string
                          description: >-
                            The time when the sent SMS message event was created
                            in ISO 8601 format
                      required:
                        - id
                        - event_type
                        - created_at
                    description: An array of sent SMS message events
                required:
                  - sent_sms_message_events
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````